Create Project (V2)
This operation creates a new project with a specified name and subscription plan.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges
The name of the project to create.
The subscription plan of the project. The possible values are Standard, Enterprise, and BusinessCritical.
A list of region IDs to bind to the project. When the plan is Enterprise, only a single region is allowed. To bind multiple regions, the BusinessCritical plan is required. Note that the BusinessCritical plan may not be available in all environments.
A region ID. You can use the List regions to list applicable region IDs.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/projects" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"projectName": "My Project",
"plan": "Enterprise",
"regionIds": [
"aws-us-east-1"
]
}'
A success response
Response code.
Response payload which contains the ID of the created project.
ID of the created project.
A failure response.
Response code.
Error message.
{
"code": 0,
"data": {
"projectId": "proj-x"
}
}